Share via


Connectivity Configurations - Create Or Update

Creates/Updates a new network manager connectivity configuration

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/connectivityConfigurations/{configurationName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
configurationName
path True

string

The name of the network manager connectivity configuration.

networkManagerName
path True

string

pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$

The name of the network manager.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.appliesToGroups True

connectivityGroupItem[]

Groups for configuration

properties.connectivityTopology True

ConnectivityTopology

Connectivity topology type.

properties.connectivityCapabilities

ConnectivityConfigurationPropertiesConnectivityCapabilities

Collection of additional settings to enhance specific topology behaviors of the connectivity configuration resource.

properties.deleteExistingPeering

DeleteExistingPeering

Flag if need to remove current existing peerings.

properties.description

string

A description of the connectivity configuration.

properties.hubs

Hub[]

List of hubItems

properties.isGlobal

IsGlobal

Flag if global mesh is supported.

Responses

Name Type Description
200 OK

ConnectivityConfiguration

Resource 'ConnectivityConfiguration' update operation succeeded

201 Created

ConnectivityConfiguration

Resource 'ConnectivityConfiguration' create operation succeeded

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ConnectivityConfigurationsPut

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkManagers/testNetworkManager/connectivityConfigurations/myTestConnectivityConfig?api-version=2025-05-01

{
  "properties": {
    "description": "Sample Configuration",
    "appliesToGroups": [
      {
        "groupConnectivity": "None",
        "isGlobal": "False",
        "networkGroupId": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkManagers/testNetworkManager/networkGroups/group1",
        "useHubGateway": "True"
      }
    ],
    "connectivityCapabilities": {
      "connectedGroupAddressOverlap": "Allowed",
      "connectedGroupPrivateEndpointsScale": "Standard",
      "peeringEnforcement": "Unenforced"
    },
    "connectivityTopology": "HubAndSpoke",
    "deleteExistingPeering": "True",
    "hubs": [
      {
        "resourceId": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/virtualNetworks/myTestConnectivityConfig",
        "resourceType": "Microsoft.Network/virtualNetworks"
      }
    ],
    "isGlobal": "True"
  }
}

Sample response

{
  "name": "myTestConnectivityConfig",
  "type": "Microsoft.Network/networkManagers/connectivityConfigurations",
  "id": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkManagers/testNetworkManager/connectivityConfigurations/myTestConnectivityConfig",
  "properties": {
    "description": "Sample Connectivity Configuration",
    "appliesToGroups": [
      {
        "groupConnectivity": "None",
        "isGlobal": "False",
        "networkGroupId": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkManagers/testNetworkManager/groups/group1",
        "useHubGateway": "True"
      }
    ],
    "connectivityCapabilities": {
      "connectedGroupAddressOverlap": "Allowed",
      "connectedGroupPrivateEndpointsScale": "Standard",
      "peeringEnforcement": "Unenforced"
    },
    "connectivityTopology": "HubAndSpoke",
    "deleteExistingPeering": "True",
    "hubs": [
      {
        "resourceId": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/virtualNetworks/myTestConnectivityConfig",
        "resourceType": "Microsoft.Network/virtualNetworks"
      }
    ],
    "isGlobal": "True",
    "provisioningState": "Succeeded",
    "resourceGuid": "00000000-0000-0000-0000-000000000000"
  },
  "systemData": {
    "createdAt": "2021-01-11T18:52:27Z",
    "createdBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
    "createdByType": "User",
    "lastModifiedAt": "2021-01-11T18:52:27Z",
    "lastModifiedBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
    "lastModifiedByType": "User"
  }
}
{
  "name": "myTestConnectivityConfig",
  "type": "Microsoft.Network/networkManagers/connectivityConfigurations",
  "id": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkManagers/testNetworkManager/connectivityConfigurations/myTestConnectivityConfig",
  "properties": {
    "description": "Sample Configuration",
    "appliesToGroups": [
      {
        "groupConnectivity": "None",
        "isGlobal": "False",
        "networkGroupId": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkManagers/testNetworkManager/networkGroups/group1",
        "useHubGateway": "True"
      }
    ],
    "connectivityCapabilities": {
      "connectedGroupAddressOverlap": "Allowed",
      "connectedGroupPrivateEndpointsScale": "Standard",
      "peeringEnforcement": "Unenforced"
    },
    "connectivityTopology": "HubAndSpoke",
    "deleteExistingPeering": "True",
    "hubs": [
      {
        "resourceId": "subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Network/virtualNetworks/myTestConnectivityConfig",
        "resourceType": "Microsoft.Network/virtualNetworks"
      }
    ],
    "isGlobal": "True",
    "provisioningState": "Succeeded",
    "resourceGuid": "00000000-0000-0000-0000-000000000000"
  },
  "systemData": {
    "createdAt": "2021-01-11T18:52:27Z",
    "createdBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
    "createdByType": "User",
    "lastModifiedAt": "2021-01-11T18:52:27Z",
    "lastModifiedBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
    "lastModifiedByType": "User"
  }
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

ConnectedGroupAddressOverlap

Behavior to handle overlapped IP address space among members of the connected group of the connectivity configuration.

ConnectedGroupPrivateEndpointsScale

Option indicating the scale of private endpoints allowed in the connected group of the connectivity configuration.

ConnectivityConfiguration

The network manager connectivity configuration resource

ConnectivityConfigurationPropertiesConnectivityCapabilities

Collection of additional settings to enhance specific topology behaviors of the connectivity configuration resource.

connectivityGroupItem

Connectivity group item.

ConnectivityTopology

Connectivity topology type.

createdByType

The type of identity that created the resource.

DeleteExistingPeering

Flag if need to remove current existing peerings.

GroupConnectivity

Group connectivity type.

Hub

Hub Item.

IsGlobal

Flag if global mesh is supported.

PeeringEnforcement

Option indicating enforcement of peerings created by the connectivity configuration.

ProvisioningState

Provisioning states of a resource.

systemData

Metadata pertaining to creation and last modification of the resource.

UseHubGateway

Flag if need to use hub gateway.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ConnectedGroupAddressOverlap

Behavior to handle overlapped IP address space among members of the connected group of the connectivity configuration.

Value Description
Allowed

Default. Allows connected group members to have overlapping IP address space.

Disallowed

Strictly disallows connected group members from having overlapping IP address space. Prevents the addition of a virtual network with overlapping address to the connected group, blocks peering between a virtual network and a connected group member if any connected group member has an overlapping range, and restricts address space modifications that would introduce overlap.

ConnectedGroupPrivateEndpointsScale

Option indicating the scale of private endpoints allowed in the connected group of the connectivity configuration.

Value Description
Standard

Default. Allows for up to 2K private endpoints in the connected group.

HighScale

Allows for up to 20K private endpoints in the connected group.

ConnectivityConfiguration

The network manager connectivity configuration resource

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Resource name.

properties.appliesToGroups

connectivityGroupItem[]

Groups for configuration

properties.connectivityCapabilities

ConnectivityConfigurationPropertiesConnectivityCapabilities

Collection of additional settings to enhance specific topology behaviors of the connectivity configuration resource.

properties.connectivityTopology

ConnectivityTopology

Connectivity topology type.

properties.deleteExistingPeering

DeleteExistingPeering

Flag if need to remove current existing peerings.

properties.description

string

A description of the connectivity configuration.

properties.hubs

Hub[]

List of hubItems

properties.isGlobal

IsGlobal

Flag if global mesh is supported.

properties.provisioningState

ProvisioningState

The provisioning state of the connectivity configuration resource.

properties.resourceGuid

string

Unique identifier for this resource.

systemData

systemData

The system metadata related to this resource.

type

string

Resource type.

ConnectivityConfigurationPropertiesConnectivityCapabilities

Collection of additional settings to enhance specific topology behaviors of the connectivity configuration resource.

Name Type Default value Description
connectedGroupAddressOverlap

ConnectedGroupAddressOverlap

Allowed

Behavior to handle overlapped IP address space among members of the connected group of the connectivity configuration.

connectedGroupPrivateEndpointsScale

ConnectedGroupPrivateEndpointsScale

Standard

Option indicating the scale of private endpoints allowed in the connected group of the connectivity configuration.

peeringEnforcement

PeeringEnforcement

Unenforced

Option indicating enforcement of peerings created by the connectivity configuration.

connectivityGroupItem

Connectivity group item.

Name Type Description
groupConnectivity

GroupConnectivity

Group connectivity type.

isGlobal

IsGlobal

Flag if global is supported.

networkGroupId

string

Network group Id.

useHubGateway

UseHubGateway

Flag if need to use hub gateway.

ConnectivityTopology

Connectivity topology type.

Value Description
HubAndSpoke

HubAndSpoke

Mesh

Mesh

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DeleteExistingPeering

Flag if need to remove current existing peerings.

Value Description
False

False

True

True

GroupConnectivity

Group connectivity type.

Value Description
None

None

DirectlyConnected

DirectlyConnected

Hub

Hub Item.

Name Type Description
resourceId

string

Resource Id.

resourceType

string

Resource Type.

IsGlobal

Flag if global mesh is supported.

Value Description
False

False

True

True

PeeringEnforcement

Option indicating enforcement of peerings created by the connectivity configuration.

Value Description
Unenforced

Default. Peerings created by the connectivity configuration may be modified or deleted outside of the network manager.

Enforced

Peerings created by the connectivity configuration will not be modifiable or deletable outside of the network manager.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UseHubGateway

Flag if need to use hub gateway.

Value Description
False

False

True

True